Bug 592851 - service libvirt-qpid start failed with error 'Symbol `_ZTVN4qpid10management16ManagementObjectE' has different size in shared object'
Summary: service libvirt-qpid start failed with error 'Symbol `_ZTVN4qpid10management1...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt-qpid (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ian Main
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 07:48 UTC by dyuan
Modified: 2010-11-10 21:05 UTC (History)
7 users (show)

Fixed In Version: libvirt-qpid-0.2.22-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dyuan 2010-05-17 07:48:59 UTC
Description of problem:
start libvirt-qpid failed, and cannot list domain info.

Version-Release number of selected component (if applicable):
libvirt-0.8.1-4.el6.x86_64
libvirt-qpid-0.2.17-7.el6.x86_64
kernel-2.6.32-26.el6.x86_64

qpid-cpp-client-0.7.935473-1.el6.x86_64
qpid-cpp-server-0.7.935473-1.el6.x86_64
python-qpid-0.7.934605-1.el6.noarch
qpid-tools-0.7.934605-2.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. install latest version of libvirt-qpid
# yum -y install libvit-qpid
# rpm -qa|grep libvirt-qpid
libvirt-qpid-0.2.17-7.el6.x86_64

2. start service 
# service libvirt-qpid start
Starting libvirt-qpid daemon: libvirt-qpid: Symbol `_ZTVN4qpid10management16ManagementObjectE' has different size in shared object, consider re-linking
                                                           [  OK  ]

Actual results:

# service libvirt-qpid restart
Stopping libvirt-qpid daemon:                              [FAILED]
Starting libvirt-qpid daemon: libvirt-qpid: Symbol `_ZTVN4qpid10management16ManagementObjectE' has different size in shared object, consider re-linking
                                                           [  OK  ]

# service libvirt-qpid status
libvirt-qpid dead but subsys locked

Expected results:

start successfully with no error.

Additional info:

# tail /var/log/messages
May 17 15:40:13 dhcp-66-70-43 kernel: libvirt-qpid[3011] general protection ip:332849d3db sp:7fffb00f8020 error:0 in libstdc++.so.6.0.13[3328400000+e9000]
May 17 15:40:13 dhcp-66-70-43 abrt[3015]: saved core dump of pid 3011 (/usr/sbin/libvirt-qpid) to /var/cache/abrt/ccpp-1274082013-3011.new/coredump (23068672 bytes)
May 17 15:40:13 dhcp-66-70-43 abrtd: Directory 'ccpp-1274082013-3011' creation detected
May 17 15:40:13 dhcp-66-70-43 abrtd: Package 'libvirt-qpid' isn't signed with proper key
May 17 15:40:13 dhcp-66-70-43 abrtd: Corrupted or bad crash /var/cache/abrt/ccpp-1274082013-3011 (res:5), deleting

Comment 2 dyuan 2010-05-27 07:34:17 UTC
Test version:
libvirt-qpid-0.2.20-2.el6.x86_64
kernel-2.6.32-30.el6.x86_64
libvirt-0.8.1-7.el6.x86_64

# service libvirt-qpid start
Starting libvirt-qpid daemon:                              [  OK  ]
 
# service libvirt-qpid status
libvirt-qpid dead but subsys locked

# tail -f /var/log/messages

nothing output.

Comment 3 dyuan 2010-05-27 09:56:05 UTC
Sorry for the Comment 2.

I upgrade all qpid related packages, then the service libvirt-qpid could start successfully.

# rpm -qa|grep qpid
qpid-tools-0.7.946106-3.el6.noarch
python-qpid-0.7.946106-1.el6.noarch
qpid-cpp-client-0.7.946106-2.el6.x86_64
qpid-cpp-server-0.7.946106-2.el6.x86_64
libvirt-qpid-0.2.20-2.el6.x86_64


But qpid-tool cannot list all domains correctly, maybe there will be another bug for tracking that.

Comment 5 Ian Main 2010-07-19 17:44:17 UTC
This bug was fixed some time ago with a rebuild, sorry!

Comment 6 Denise Dumas 2010-07-19 18:39:36 UTC
np, my very favorite kind ;-)  Thanks!

Comment 8 dyuan 2010-08-03 07:52:08 UTC
Verified PASSED with libvirt-qpid-0.2.22-3.el6.

# rpm -qa|grep qpid
python-qpid-0.7.946106-4.el6.noarch
libvirt-qpid-0.2.22-3.el6.x86_64
qpid-tools-0.7.946106-3.el6.noarch
qpid-cpp-server-0.7.946106-5.el6.x86_64
qpid-cpp-client-0.7.946106-5.el6.x86_64

# service libvirt-qpid start
Starting libvirt-qpid daemon:                              [  OK  ]

# service libvirt-qpid status
libvirt-qpid (pid 6565) is running...

Comment 9 Alex Jia 2010-09-08 06:58:45 UTC
The bug has been verified with libvirt-qpid-0.2.22-3.el6.x86_64 on RHEL6.0 RC(2.6.32-71.el6.x86_64).


# uname -a
Linux dhcp-66-92-184.nay.redhat.com 2.6.32-71.el6.x86_64 #1 SMP Wed Sep 1
01:33:01 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.0 (Santiago)

# rpm -qa|grep qpid
python-qpid-0.7.946106-12.el6.noarch
qpid-cpp-client-0.7.946106-5.el6.x86_64
qpid-cpp-server-0.7.946106-5.el6.x86_64
qpid-tools-0.7.946106-4.el6.noarch
libvirt-qpid-0.2.22-3.el6.x86_64

# service libvirt-qpid start
Starting libvirt-qpid daemon:                              [  OK  ]

# service libvirt-qpid status
libvirt-qpid (pid 5137) is running...

Comment 10 releng-rhel@redhat.com 2010-11-10 21:05:56 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.